#
# spec file for package mstflint
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define extra_version -1.30.g00eb005

Name:           mstflint
Summary:        Mellanox Firmware Burning and Diagnostics Tools
License:        GPL-2.0 or BSD-2-Clause
Group:          System/Console
Version:        4.0.0
Release:        6.16
Source0:        https://www.openfabrics.org/downloads/mstflint/%{name}-%{version}%{extra_version}.tar.gz
# PATCH-FIX-UPSTREAM Declare package as foreign and other autotools stuff pth@suse.de
Patch0:         mstflint-autotools.patch
# PATCH-FIX-UPSTREAM Add all needed defines to get it built on s390x
Patch4:         mstflint-s390_arch.patch
# PATCH-FIX-UPSTREAM Don't use -Werror as there are format warnings
Patch5:         mstflint-no_Werror.patch
# PATCH-FIX-UPSTREAM Build libmtcr as shared library
Source1:        mstfint-mtcr_ul_no_static_lib.patch
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libibmad-devel
BuildRequires:  libtool
BuildRequires:  zlib-devel

#%%define DT_FLAGS %%{?__commit_date:-D__DATE__=%%__commit_date}' '%%{?__commit_time:-D__TIME__=%%__commit_time}'

%description
This package contains a burning tool and diagnostic tools for Mellanox
manufactured HCA/NIC cards. It also provides access to the relevant
source code. Please see the file LICENSE for licensing details.

This package is based on a subset of the Mellanox Firmware Tools (MFT)
package. For a full documentation of the MFT package, please refer to
the downloads page at the Mellanox web site.

%prep
%setup -q
%patch0
%patch4
%patch5
rm -f configure.in
rm -f mtcr_ul/Makefile.in

%build
autoreconf -fi
%{configure}
make CFLAGS="%{optflags} -I. -fno-exceptions"

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_includedir}/mtcr_ul/mtcr.h
rm -f  %{buildroot}%{_libdir}/libmtcr_ul.a

#%%post -p /sbin/ldconfig

#%%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README COPYING LICENSE
%{_mandir}/man1/*.1.gz
%_bindir/*
%{_datadir}/%{name}

%changelog
* Sun Mar  8 2015 p.drouand@gmail.com
- Update to version 4.0.0
  * No changelog available
- Use download Url as source
- Update mstflint-autotools.patch
* Fri Aug  8 2014 pth@suse.de
- Rename mstfint-mtcr_ul_no_static_lib to mstfint-mtcr_ul_no_static_lib.patch
  and include the patch for building and using a dynamic library
  as a source.
* Thu Jul 24 2014 pth@suse.de
- Don't install header and library and thus the devel package can
  be removed.
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Fri May 16 2014 pth@suse.de
- Fix mstflint-s390_arch.patch to cover all new cases where
  architecture is checked.
- Add mstflint-no_Werror.patch because currently there are
  warnings where printf formats don't match passed vars.
* Wed May 14 2014 pth@suse.de
- Update to 3.6.0 from OFED 3.12 RC2.
- Remove patches as the code was fixed upstream:
  mstflint-fix_type-punning.patch
  aarch64-arch-detection.diff
- Adapt mstflint-s390_arch.patch to the new code.
- Remove mstflint-shared_lib.patch as it causes more work with
  few gains.
* Tue Apr 22 2014 pth@suse.de
- Add all defines needed for s390.
* Tue Mar  4 2014 pth@suse.de
- Fix mstflint-s390_arch.patch so that it applies.
* Mon Mar  3 2014 pth@suse.de
- Add all necessary defines or s390x (mstflint-s390_arch.patch).
* Mon Feb 10 2014 dmueller@suse.com
- add aarch64-arch-detection.diff: Fix aarch64 detection
* Mon Feb  3 2014 pth@suse.de
- Update to latest 3.5.0. No change log in package.
- Specify full source URL.
- Use spdx.org format for license specification
- Add mstflint-autotools.patch that modifies configure.ac so
  that autoreconf can run successfully.
- Remove configure.in as configure.ac is present.
- Create devel subpackage.
- Add mstflint-fix_type-punning.patch that fixes all cases of
  type-punning by using memcpy.
- Add COPYING and LICENSE to documentation.
* Fri Dec  7 2012 pth@suse.de
- Update to from OFED 1.5.4.1 (fate#314255)
- Remove patches that were integrated:
  mstflint-includefix.patch
  mstflint-1.4-0.6.g63179f4-connectX3.diff
* Tue Jan 10 2012 stefan.fent@suse.com
- Add Connect X3 support (bnc #732326)
* Thu Oct 28 2010 jjolly@novell.com
- Update to v1.4--0.6.g63179f4 from OFED 1.5.2
- Refreshed include error patch
* Thu Dec 11 2008 jjolly@suse.de
- Updated to package from OFED 1.4 GA
  - Added hca_self_test.ofed installation
* Tue Oct 28 2008 jjolly@suse.de
- Updated to v1.4 from OFED 1.3 rc3
* Mon Oct 27 2008 ro@suse.de
- fix build
* Fri Sep 12 2008 jjolly@suse.de
- Updated to v1.3 from OFED 1.4 RC1
* Tue Aug  7 2007 hvogel@suse.de
- Update to version from OFED 1.2c
* Thu Jul 12 2007 hvogel@suse.de
- package include/mtcr.h
* Wed Jul  4 2007 hvogel@suse.de
- Add GPL COPYING file [#288876]
* Tue Jul  3 2007 hvogel@suse.de
- Use correct git checkout from OFED 1.2
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.2
